"use strict";

var _dates = require("../dates");

describe('getISOLocalDateTime', function () {
  it('returns proper ISO date', function () {
    var date = new Date(2017, 0, 1, 21, 41, 37);
    var ISODate = (0, _dates.getISOLocalDateTime)(date);
    expect(ISODate).toBe('2017-01-01T21:41:37');
  });
  it('returns nothing when given nothing', function () {
    expect((0, _dates.getISOLocalDateTime)()).toBeUndefined();
  });
  it('throws an error when given nonsense data', function () {
    var text = 'wololo';

    var fn = function fn() {};

    expect(function () {
      return (0, _dates.getISOLocalDateTime)(text);
    }).toThrow();
    expect(function () {
      return (0, _dates.getISOLocalDateTime)(fn);
    }).toThrow();
  });
});